package hikapro.com.backpack.model;

import java.util.List;

import hikapro.com.backpack.model.entities.Category;
import hikapro.com.backpack.model.entities.Item;
import hikapro.com.backpack.model.entities.Set;

import retrofit2.Call;
import retrofit2.http.GET;

/**
 * Created by tariel on 19/04/16.
 */
public interface Api {

    @GET("/api/v1/backpack/items")
    Call<List<Item>> getItems();

    @GET("/api/v1/backpack/item_categories")
    Call<List<Category>> getItemCategories();

    @GET("/api/v1/backpack/sets")
    Call<List<Set>> getSets();
}
