package hikapro.com.backpack.model.database;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

/**
 * Created by tariel on 20/04/16.
 */
public class DAO {

    private Context     context;
    private DbHelper    helper;

    public DAO(Context context) {
        this.context    = context;
        this.helper     = new DbHelper(this.context);
    }

    private SQLiteDatabase getReadDB(){
        return helper.getReadableDatabase();
    }

    private SQLiteDatabase getWriteDB(){
        return helper.getWritableDatabase();
    }
}
