package hikapro.com.backpack.presenter.adapters;

import android.support.v7.widget.RecyclerView;
import android.view.ViewGroup;

import hikapro.com.backpack.presenter.Presenter;
import hikapro.com.backpack.view.recycler.ItemViewHolder;

/**
 * Created by tariel on 20/04/16.
 */
public class ItemListAdapter extends RecyclerView.Adapter<ItemViewHolder> {

    private Presenter.ItemList presenter;
    private int categoryId;

    public ItemListAdapter(Presenter.ItemList presenter) {
        this.presenter = presenter;
    }

    @Override
    public int getItemCount() {
        return presenter.getItemsCount(categoryId);
    }

    @Override
    public ItemViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return presenter.createViewHolderItem(parent, viewType);
    }

    @Override
    public void onBindViewHolder(ItemViewHolder holder, int position) {
        presenter.bindViewHolderItem(holder, position, categoryId);
    }
    public void setCategoryId(int categoryId) {
        this.categoryId = categoryId;
    }
}
